#
# spec file for package perl-Alien-wxWidgets
#
# Copyright (c) 2019 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


Name:           perl-Alien-wxWidgets
Version:        0.69
Release:        2.1
%define cpan_name Alien-wxWidgets
Summary:        Building, finding and using wxWidgets binaries
License:        Artistic-1.0 OR GPL-1.0-or-later
Group:          Development/Libraries/Perl
Url:            https://metacpan.org/release/%{cpan_name}
Source0:        https://cpan.metacpan.org/authors/id/M/MD/MDOOTSON/%{cpan_name}-%{version}.tar.gz
Source1:        cpanspec.yml
Patch0:         perl-Alien-wxWidgets-do_not_build_wxgtk.patch
Patch1:         perl-Alien-wxWidgets-dump_sorted_config.patch
Patch2:         perl-Alien-wxWidgets-ignore_cbuilder_version.patch
# MANUAL
#BuildArch:     noarch
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildRequires:  perl
BuildRequires:  perl-macros
BuildRequires:  perl(ExtUtils::CBuilder) >= 0.24
BuildRequires:  perl(LWP::Protocol::https)
BuildRequires:  perl(Module::Build) >= 0.280000
BuildRequires:  perl(Module::Pluggable) >= 2.6
Requires:       perl(Module::Pluggable) >= 2.6
%{perl_requires}
# MANUAL BEGIN
BuildRequires:  gcc-c++
%if 0%{?suse_version} > 1320 || 0%{?sle_version} >= 120200
BuildRequires:  wxWidgets-3_0-nostl-devel
%else
BuildRequires:  wxWidgets-ansi-devel
%endif
# MANUAL END

%description
Please see Alien for the manifesto of the Alien namespace.

In short 'Alien::wxWidgets' can be used to detect and get configuration
settings from an installed wxWidgets.

%prep
%autosetup -p0 -n %{cpan_name}-%{version}
find . -type f ! -name \*.pl -print0 | xargs -0 chmod 644
# MANUAL BEGIN
# this copy of GNU patch is only used on win32, remove it for license clarity
# see https://build.opensuse.org/request/show/237465
rm -vf inc/src/patch*
# MANUAL END

%build
yes no | %__perl ./Build.PL installdirs=vendor
yes no | ./Build
./Build build flags=%{?_smp_mflags}

%check
./Build test

%install
./Build install destdir=%{buildroot} create_packlist=0
%perl_gen_filelist

%files -f %{name}.files
%defattr(-,root,root,755)
%doc Changes README.txt

%changelog
* Mon Mar  4 2024 pgajdos@suse.com
- Use %%autosetup macro. Allows to eliminate the usage of deprecated
  %%patchN
* Wed Aug 21 2019 Tina Mueller <tina.mueller@suse.com>
- Update patch perl-Alien-wxWidgets-ignore_cbuilder_version.patch
* Wed Apr  3 2019 Stephan Kulow <coolo@suse.com>
- updated to 0.69
  see /usr/share/doc/packages/perl-Alien-wxWidgets/Changes
  0.69  Tue Apr 18 2017
  - added build dependency on LWP::Protocol::https - it is always
  - necessary due to sourceforge redirect to https
* Tue Apr 11 2017 coolo@suse.com
- updated to 0.68
  see /usr/share/doc/packages/perl-Alien-wxWidgets/Changes
  0.68  Sat Apr 8 2017
  - RT:120887 - patch from Jim Keenan for '.' no longer in@INC
  - RT:94367  - allow ENV setting for wx-config
  - Fix current OSX builds
  0.67  Tue Mar 10 2015
  - pause indexing fix
* Sat Nov 26 2016 stefan.bruens@rwth-aachen.de
- Add perl-Alien-wxWidgets-dump_sorted_config.patch:
  sort config dictionaries to make builds deterministic
* Sun Nov 13 2016 stefan.bruens@rwth-aachen.de
- updated wxWidgets requirements from 2.8 to 3.0 for
  distribution versions providing wxWidgets-3_0-nostl.
* Tue Apr 14 2015 coolo@suse.com
- updated to 0.67
  see /usr/share/doc/packages/perl-Alien-wxWidgets/Changes
  0.66  Tue Mar 10 2015
  - add support for wxWidgets 3.0.1 and 3.0.2
  - make default wxWidgets 3.0.2
  - graphics context included now default on Win32
  - build on MacOSX - xcode 5.x/6.x
* Tue Jun 17 2014 coolo@suse.com
- remove copy of GNU patch
* Sun Jun  8 2014 coolo@suse.com
- updated to 0.65
  0.65  Mon Mar 31 2014
  - Update default to wxWidgets 3.0.0
  - build on MacOSX Mavericks with Xcode 4.6.3
  - install builtins on wxMSW (used by some wxWidgets extensions)
  0.64  Sat Apr 13 2013
  - Build IPC on Windows
  0.63  Fri Oct 26 2012
  - Patches for wxGTK build fixing dir dialog issues
  0.62  Tue Oct 2 2012
  - Fix patching on MSWin when buildpaths have spaces.
  - Allow addition of user patch - --wxWidgets-userpatch
  - Expand README.txt
  - Another Mac OS X SDK change
  0.61  Fri Sep 21 2012
  - change default debug level for wxWidgets >= 2.9 to 1 ( was 0)
  - fix several incorrect wxWidgets version checks
  0.60  Fri Aug 24 2012
  - allow building 2.9.4
  - correct SDKs for Mountain Lion
  - fixes for XCode 4.4
  0.59  Tue May 01 2012
  - Version sub modules to keep meta info users happy
  0.58  Thu Apr 12 2012
  - WXWIN / WXDIR MSWin32 fix.
* Tue Apr 12 2011 coolo@opensuse.org
- fix build with new wxWidgets
* Mon Dec 27 2010 pascal.bleser@opensuse.org
- spec file rewrite
- added patch to prevent building wxGTK
* Wed Dec  1 2010 coolo@novell.com
- switch to perl_requires macro
* Fri Nov 26 2010 pth@novell.com
- initial package 0.51
  * created by cpanspec 1.78
- Spec file cleaned with spec-cleaner
